Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] xserver startet nicht mehr nach sync update
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
FrancisA
Tux's lil' helper
Tux's lil' helper


Joined: 17 Dec 2010
Posts: 111

PostPosted: Wed Nov 09, 2011 7:14 pm    Post subject: [solved] xserver startet nicht mehr nach sync update Reply with quote

Hallo, nachdem das gentoo bei mir mehr oder weniger mehrere Monate still lag, beschloss ich mit porthole wieder einmal upzudaten (also zuerst sync, dann upgrade):
(ich muss noch dazu sagen, dass ich den kernel aus dem git linux compiliert habe).

Nachdem ich etwa 60 packages compiliert habe (was mehr als 2 Stunden dauerte), wollte die grafische Oberfläche nicht mehr starten. Nun stehe ich ratlos da.

Ich weiss nicht, welche Auszüge aus welchen Dateien ich hier posten soll.

Xorg.0.log sieht einmal so aus:

Code:

[    25.399]
X.Org X Server 1.10.4
Release Date: 2011-08-19
[    25.399] X Protocol Version 11, Revision 0
[    25.399] Build Operating System: Linux 3.2.0-rc1 i686 Gentoo
[    25.399] Current Operating System: Linux localhost 3.2.0-rc1 #8 SMP Tue Nov 8 20:38:57 CET 2011 i686
[    25.399] Kernel command line: root=/dev/sda9 ro
[    25.399] Build Date: 09 November 2011  06:59:38AM
[    25.399] 
[    25.399] Current version of pixman: 0.22.2
[    25.399]    Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
[    25.399] Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    25.399] (==) Log file: "/var/log/Xorg.0.log", Time: Wed Nov  9 19:57:42 2011
[    25.399] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    25.399] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    25.399] (==) No Layout section.  Using the first Screen section.
[    25.399] (**) |-->Screen "Screen0" (0)
[    25.399] (**) |   |-->Monitor "Monitor0"
[    25.400] (**) |   |-->Device "Device0"
[    25.400] (==) Automatically adding devices
[    25.400] (==) Automatically enabling devices
[    25.400] (==) FontPath set to:
   /usr/share/fonts/misc/,
   /usr/share/fonts/TTF/,
   /usr/share/fonts/OTF/,
   /usr/share/fonts/Type1/,
   /usr/share/fonts/100dpi/,
   /usr/share/fonts/75dpi/
[    25.400] (==) ModulePath set to "/usr/lib/xorg/modules"
[    25.400] (II) The server relies on udev to provide the list of input devices.
   If no devices become available, reconfigure udev or disable AutoAddDevices.
[    25.400] (II) Loader magic: 0x81f4d80
[    25.400] (II) Module ABI versions:
[    25.400]    X.Org ANSI C Emulation: 0.4
[    25.400]    X.Org Video Driver: 10.0
[    25.400]    X.Org XInput driver : 12.2
[    25.400]    X.Org Server Extension : 5.0
[    25.400] (--) PCI:*(0:2:0:0) 1002:68c1:1025:037e rev 0, Mem @ 0xd0000000/268435456, 0xcfee0000/131072, I/O @ 0x00002000/256, BIOS @ 0x????????/131072
[    25.400] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[    25.400] (II) LoadModule: "extmod"
[    25.401] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    25.401] (II) Module extmod: vendor="X.Org Foundation"
[    25.401]    compiled for 1.9.5, module version = 1.0.0
[    25.401]    Module class: X.Org Server Extension
[    25.401]    ABI class: X.Org Server Extension, version 4.0
[    25.401] (EE) module ABI major version (4) doesn't match the server's version (5)
[    25.401] (II) UnloadModule: "extmod"
[    25.401] (II) Unloading extmod
[    25.401] (EE) Failed to load module "extmod" (module requirement mismatch, 0)
[    25.401] (II) LoadModule: "dbe"
[    25.401] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    25.401] (II) Module dbe: vendor="X.Org Foundation"
[    25.401]    compiled for 1.9.5, module version = 1.0.0
[    25.401]    Module class: X.Org Server Extension
[    25.401]    ABI class: X.Org Server Extension, version 4.0
[    25.401] (EE) module ABI major version (4) doesn't match the server's version (5)
[    25.401] (II) UnloadModule: "dbe"
[    25.401] (II) Unloading dbe
[    25.401] (EE) Failed to load module "dbe" (module requirement mismatch, 0)
[    25.401] (II) LoadModule: "glx"
[    25.401] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    25.401] (II) Module glx: vendor="X.Org Foundation"
[    25.401]    compiled for 1.10.4, module version = 1.0.0
[    25.401]    ABI class: X.Org Server Extension, version 5.0
[    25.401] (==) AIGLX enabled
[    25.401] (II) Loading extension GLX
[    25.401] (II) LoadModule: "record"
[    25.402] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    25.402] (II) Module record: vendor="X.Org Foundation"
[    25.402]    compiled for 1.9.5, module version = 1.13.0
[    25.402]    Module class: X.Org Server Extension
[    25.402]    ABI class: X.Org Server Extension, version 4.0
[    25.402] (EE) module ABI major version (4) doesn't match the server's version (5)
[    25.402] (II) UnloadModule: "record"
[    25.402] (II) Unloading record
[    25.402] (EE) Failed to load module "record" (module requirement mismatch, 0)
[    25.402] (II) LoadModule: "dri"
[    25.402] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    25.402] (II) Module dri: vendor="X.Org Foundation"
[    25.402]    compiled for 1.10.4, module version = 1.0.0
[    25.402]    ABI class: X.Org Server Extension, version 5.0
[    25.402] (II) Loading extension XFree86-DRI
[    25.402] (II) LoadModule: "dri2"
[    25.402] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    25.402] (II) Module dri2: vendor="X.Org Foundation"
[    25.402]    compiled for 1.10.4, module version = 1.2.0
[    25.402]    ABI class: X.Org Server Extension, version 5.0
[    25.402] (II) Loading extension DRI2
[    25.402] (II) LoadModule: "vesa"
[    25.403] (WW) Warning, couldn't open module vesa
[    25.403] (II) UnloadModule: "vesa"
[    25.403] (II) Unloading vesa
[    25.403] (EE) Failed to load module "vesa" (module does not exist, 0)
[    25.403] (EE) No drivers available.
[    25.403]
Fatal server error:
[    25.403] no screens found
[    25.403]
Please consult the The X.Org Foundation support
    at http://wiki.x.org
 for help.
[    25.403] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    25.403]


Last edited by FrancisA on Sat Nov 12, 2011 10:49 pm; edited 1 time in total
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Wed Nov 09, 2011 7:35 pm    Post subject: Reply with quote

Geht es danach?

Code:
eix --only-names -CI x11-drivers | xargs emerge -1

_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Wed Nov 09, 2011 7:36 pm    Post subject: Reply with quote

Hmm..
(EE) module ABI major version (4) doesn't match the server's version (5)
....
[ 25.403] (EE) No drivers available.
[ 25.403]
Fatal server error:

sollte dir zu denken geben.
Baue am besten wie in den elog Massages von xorg-server schon empfohlen die x11-drivers passend neu zum xorg-server

/edit: oder/und einfach auch mal die Suchfunktion nutzen ;)
Erster Treffer zb = module ABI major version doesn't match server's ver [Solved]
Back to top
View user's profile Send private message
FrancisA
Tux's lil' helper
Tux's lil' helper


Joined: 17 Dec 2010
Posts: 111

PostPosted: Wed Nov 09, 2011 8:06 pm    Post subject: Reply with quote

Danke einmal für die raschein Antworten. eix hatte ich nicht. Hab ich einmal geemergt. Vorher habe ich noch den vesa Treiber (nochmals) gebaut.

Dann
Code:
eix --only-names -CI x11-drivers | xargs emerge -1

Leider immer noch das gleiche:
Code:
[    25.147] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    25.147] (II) Loading sub module "vbe"
[    25.147] (II) LoadModule: "vbe"
[    25.147] (II) Loading /usr/lib/xorg/modules/libvbe.so
[    25.147] (II) Module vbe: vendor="X.Org Foundation"
[    25.147]    compiled for 1.9.5, module version = 1.1.0
[    25.147]    ABI class: X.Org Video Driver, version 8.0
[    25.147] (EE) module ABI major version (8) doesn't match the server's version (10)
[    25.147] (II) UnloadModule: "vbe"
[    25.147] (II) Unloading vbe
[    25.147] (EE) VESA: Failed to load module "vbe" (module requirement mismatch, 0)
[    25.147] (II) UnloadModule: "vesa"
[    25.147] (II) Unloading vesa
[    25.147] (EE) Screen(s) found, but none have a usable configuration.
[    25.147]


Ich probier noch die Empfehlungen von Josef's geposteten Link.
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Wed Nov 09, 2011 8:09 pm    Post subject: Reply with quote

Naja, Josef.95 hat das schon recht genau geschildert ... es passen nicht alle Teile vom XServer versionsmässig zusammen. Spätestens, wenn Du den komplett neu baust, solltest Du alles in der passenden Version an Bord haben.

Viel Erfolg ...
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
FrancisA
Tux's lil' helper
Tux's lil' helper


Joined: 17 Dec 2010
Posts: 111

PostPosted: Wed Nov 09, 2011 8:16 pm    Post subject: Reply with quote

cryptohappen wrote:
Naja, Josef.95 hat das schon recht genau geschildert ... es passen nicht alle Teile vom XServer versionsmässig zusammen. Spätestens, wenn Du den komplett neu baust, solltest Du alles in der passenden Version an Bord haben.

Viel Erfolg ...


sorry, dass ich nochmals so ungeschickt nachfrage, aber wie kann ich den xserver "komplett" neu bauen?

X laesst sich starten :wink:

Ich habe ich die "xorg" module nochmals gebaut (und zur Sicherheit die x11-drivers).

Nur: das Bild sieht (noch) schrecklich aus: unscharf und in die Breite gezogen. Das Display ist auf 1152x864 gestellt (es muesste 1600x900 sein (notebook)), aber es laesst sich auch nicht hoeher einstellen.

Code:
franz@localhost:~$ lsmod
Module                  Size  Used by
ntfs                  153565  1
wl                   2396939  0
radeon                577913  1
ttm                    37861  1 radeon
drm_kms_helper         17882  1 radeon


Jetzt passts: ich habe die Datei in /etc/X11/xorg.conf.d gelöscht und neu gebootet.

Vielen, vielen Dank euch zwei!!! 8)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum